Test::Int::Circuit Namespace Reference

Tests for circuit constraints More...

## Classes

class | Circuit
| Simple test for circuit constraint. More...
class | Path
| Simple test for Hamiltonian path constraint. More...
class | CircuitCost
| Simple test for circuit constraint with total cost. More...
class | PathCost
| Simple test for path constraint with total cost. More...
class | CircuitFullCost
| Simple test for circuit constraint with full cost information. More...
class | Create
| Help class to create and register tests. More...

## Variables

Create | c

## Detailed Description

Tests for circuit constraints

## Variable Documentation

## c

Create Test::Int::Circuit::c

Definition at line 354 of file circuit.cpp.